Bug 192760 - [build] sbin/ifconfig: missing DPADD for LIBM
Summary: [build] sbin/ifconfig: missing DPADD for LIBM
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Alexander V. Chernikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-17 18:28 UTC by Enji Cooper
Modified: 2015-07-08 18:11 UTC (History)
2 users (show)

See Also:
bugmeister: mfc-stable8?
bugmeister: mfc-stable9?
bugmeister: mfc-stable10?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2014-08-17 18:28:38 UTC
This issue was introduced with r270064:

# (cd sbin/ifconfig; make checkdpadd)
/usr/src/sbin/ifconfig
DPADD -> -lbsdxml -lsbuf -ljail
LDADD -> -lm -lbsdxml -lsbuf -ljail
Comment 1 commit-hook freebsd_committer 2014-08-17 20:07:18 UTC
A commit references this bug:

Author: melifaro
Date: Sun Aug 17 20:06:48 UTC 2014
New revision: 270115
URL: http://svnweb.freebsd.org/changeset/base/270115

Log:
  Add forgotten DPADD to ifconfig(8).

  PR:		192760
  Submitted by:	yaneurabeya at gmail.com
  MFC after:	2 weeks

Changes:
  head/sbin/ifconfig/Makefile
Comment 2 Enji Cooper freebsd_committer 2014-10-23 01:13:14 UTC
Assigning the bug to melifaro because he provided the fix -- thanks again :)!
Comment 3 Glen Barber freebsd_committer 2015-07-08 18:11:42 UTC
Close PRs that have had a corresponding fix committed.